Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 113)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 114)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 1;
+        public static int s_SystemVersion = 24;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 113)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 114)
@@ -43,22 +43,6 @@
             ReadOnly,
         }
 
-        // 取得するデータ項目
-        private enum ClickGetData
-        {
-            RequestNo = 0,
-            OrderNo,
-            OrderersDivision,
-            OrderersCode,
-            BillCreationDate,
-            BillTotalPrice,
-            BillPrice,
-            TaxPrice,
-            DetailString,
-            PersonCode,
-            PersonName,
-            DepartmentCode,
-        }
         #endregion
 
         #region クラス定義
@@ -78,6 +62,8 @@
             public long DepositAmount { set; get; }
             public bool DeleteFlg { set; get; }
             public bool ReadOnly { set; get; }
+            public int SubPersonCode { set; get; }
+            public int InstructorPersonCode { set; get; } 
         }
         #endregion
 
@@ -390,6 +376,12 @@
                     return;
                 }
 
+                // 空文字も無視
+                if (dgv1[tcol, trow].Value == string.Empty)
+                {
+                    return;
+                }
+
                 int RequestNo = CommonMotions.cnvInt(dgv1[(int)ColumnIndex.RequestNo, trow].Value);
                 int OrderNo = CommonMotions.cnvInt(dgv1[(int)ColumnIndex.OrderNo, trow].Value);
 
@@ -605,7 +597,7 @@
                 dgv2.Rows.Clear();
 
                 // 金額行のフォーマットを指定
-                dgv1.Columns[(int)ColumnIndex.BillPrice].DefaultCellStyle.Format = "#,0";
+//                dgv1.Columns[(int)ColumnIndex.BillPrice].DefaultCellStyle.Format = "#,0";
                 dgv2.Columns[(int)ColumnIndex.BillPrice].DefaultCellStyle.Format = "#,0";
 
                 // 入金金額合計、他担当割り当て済み金額を算出
@@ -614,8 +606,9 @@
                 foreach(MyFieldData MyData in m_lstMyField)
                 {
                     TotalPrice += MyData.DepositAmount;
-                    if ((MyData.PersonCode != CommonMotions.LoginUserData.PersonCode) &&
-                        (MyData.PersonCode != 0))
+
+                    // 対象工事でない場合
+                    if( IsTargetConstruction( MyData ) == false )
                     {
                         OtherParsonPrice += MyData.DepositAmount;
                     }
@@ -635,7 +628,8 @@
 
                 foreach (MyFieldData MyData in m_lstMyField)
                 {
-                    if (MyData.PersonCode == CommonMotions.LoginUserData.PersonCode)
+                    // 対象工事の場合場合
+                    if( IsTargetConstruction( MyData ) == true )
                     {
                         // 各現場の行を追加
                         dgv1.Rows.Add(MyData.RequestNo, MyData.OrderNo, ++rowCount, MyData.ConstructionName, MyData.DepositAmount, MyData.ReadOnly);
@@ -865,6 +859,54 @@
         }
         #endregion
 
+        #region 対象工事が対象か判定する
+        private bool IsTargetConstruction(MyFieldData MyData)
+        {
+            // 不明行は対象外
+            if (MyData.RequestNo == 0)
+            {
+                return false;
+            }
+ 
+            // 保護区分ランクが特別権限の場合は全て対象
+            if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
+            {
+                return true;
+            }
 
+            // 保護区分範囲が自担当のみは担当分工事のみ
+            if (CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.None].Key)
+            {
+                if ((MyData.PersonCode == CommonMotions.LoginUserData.PersonCode)||
+                    (MyData.SubPersonCode == CommonMotions.LoginUserData.PersonCode)||
+                    (MyData.InstructorPersonCode == CommonMotions.LoginUserData.PersonCode))
+                {
+                    return true;
+                }
+            }
+            // 保護区分範囲が自部署のみは、部署コードが一致
+            else if (CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.Only].Key)
+            {
+                if (MyData.DepartmentCode == CommonMotions.LoginUserData.DepartmentCode)
+                {
+                    return true;
+                }
+            }
+            else
+            {
+                // 担当者対象部署マスタに含まれるか判定                                
+                foreach( PersonDepartmentMaster Prsn in CommonMotions.LoginUserDepartment)
+                {
+                    if( MyData.DepartmentCode == Prsn.DepartmentCode )
+                    {
+                        return true;
+                    }
+                }
+            }
+
+            return false;
+        }
+        #endregion
+
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs	(revision 113)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs	(revision 114)
@@ -514,7 +514,7 @@
                 sql = new StringBuilder();
                 sql.Append("SELECT");
                 sql.Append(" ReqHead.RequestNo");                                               // 請求No
-                sql.Append(",0");                                                               // 受付番号（廃止予定）
+                sql.Append(",ReqHead.OrderNo");                                                 // 受付番号（廃止予定）
                 sql.Append(",ReqHead.OrderersDivision");                                        // 発注者区分
                 sql.Append(",ReqHead.OrderersCode");                                            // 発注者コード
                 sql.Append(",DATE_FORMAT(InvData.CretateDate, '%Y/%m/%d') as CreateDate ");     // 請求書作成日
@@ -578,7 +578,7 @@
                     dgv.Rows[LineCnt].Cells[(int)DispColumn.OrderersDivision].Value = CommonMotions.cnvInt(work[(int)ClickGetData.OrderersDivision]);
                     dgv.Rows[LineCnt].Cells[(int)DispColumn.OrderersCode].Value = CommonMotions.cnvInt(work[(int)ClickGetData.OrderersCode]);
                     dgv.Rows[LineCnt].Cells[(int)DispColumn.FieldName].Value = CommonMotions.cnvString(work[(int)ClickGetData.DetailString]);
-                    if (CommonMotions.cnvInt(work[(int)ClickGetData.OrderNo]) > 1 )
+                    if (CommonMotions.cnvInt(work[(int)ClickGetData.OrderNo]) > 1)
                     {
                         dgv.Rows[LineCnt].Cells[(int)DispColumn.FieldName].Value += "（" + CommonMotions.cnvInt(work[(int)ClickGetData.OrderNo]).ToString() + "回目）";
                     }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 113)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 114)
@@ -647,6 +647,9 @@
                         PersonCode = depositDetail.ApprovalPersonCode,
                         DeleteFlg = false,
                         ReadOnly = depositDetail.IsApprovedByStaff,
+                        DepartmentCode = depositDetail.DepartmentCode,
+                        SubPersonCode = depositDetail.ConstrSubPersonCode,
+                        InstructorPersonCode = depositDetail.ConstructionInstructor,
                     });
                 }
                 // 不明行を渡す必要がある
@@ -1607,6 +1610,7 @@
                         // 更新
                         else
                         {
+                            depositDetail.Editted = true;
                             depositDetail.BillPrice = item.BillPrice;
                             depositDetail.TaxPrice = item.TaxPrice;
                             depositDetail.DepositAmount = item.DepositAmount;
@@ -1872,7 +1876,7 @@
                 sql.Append(" ,null");
                 sql.Append(" ,DepD.LineCount");
                 sql.Append(" ,ifnull(DepD.RequestNo, 0) as RequestNo");
-                sql.Append(" ,0 as OrderNo");
+                sql.Append(" ,ifnull(DepD.OrderNo, 0) as OrderNo");
                 sql.Append(" ,DepD.DepositAmount");
                 sql.Append(" ,ifnull(DepD.DiscountAmount, 0) as DiscountAmount");
                 sql.Append(" ,ifnull(DepD.CnstrPrice, 0) as CnstrPrice");
@@ -2159,7 +2163,7 @@
                 if (dgvMaster.Rows.Count > 0)
                 {
                     dgvMaster.FirstDisplayedScrollingRowIndex = 0;
-                    dgvMaster.FirstDisplayedScrollingColumnIndex = 1;
+                    dgvMaster.FirstDisplayedScrollingColumnIndex = 15;
                     dgvMaster.CurrentCell = dgvMaster[1, 0];
                 }
             }
@@ -3027,8 +3031,8 @@
                 // 特別権限は、無条件でボタン有効
                 if( m_UserInfo.m_Type == (int)CommonDefine.SecurityRankPos.SpecialAuthority)
                 {
-                    btnAddCmp.Enabled = false;
-                    btnDelCmp.Enabled = false;
+                    btnAddCmp.Enabled = true;
+                    btnDelCmp.Enabled = true;
                     btnAddFld.Enabled = true;
 
                     return;
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 113)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 114)
@@ -87,10 +87,17 @@
       <SpecificVersion>False</SpecificVersion>
       <HintPath>lib\log4net.dll</HintPath>
     </Reference>
+    <Reference Include="Microsoft.Office.Interop.Excel, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
+      <EmbedInteropTypes>True</EmbedInteropTypes>
+    </Reference>
+    <Reference Include="Microsoft.Office.Interop.Word, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
+      <EmbedInteropTypes>True</EmbedInteropTypes>
+    </Reference>
     <Reference Include="Microsoft.VisualBasic" />
     <Reference Include="MySql.Data, Version=6.9.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
       <HintPath>lib\MySql.Data.dll</HintPath>
+      <Private>True</Private>
     </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
@@ -1688,26 +1695,6 @@
     <Content Include="Resources\kanriIcon.ico" />
     <Content Include="rinen.jpg" />
   </ItemGroup>
-  <ItemGroup>
-    <COMReference Include="Microsoft.Office.Interop.Excel">
-      <Guid>{00020813-0000-0000-C000-000000000046}</Guid>
-      <VersionMajor>1</VersionMajor>
-      <VersionMinor>8</VersionMinor>
-      <Lcid>0</Lcid>
-      <WrapperTool>primary</WrapperTool>
-      <Isolated>False</Isolated>
-      <EmbedInteropTypes>True</EmbedInteropTypes>
-    </COMReference>
-    <COMReference Include="Microsoft.Office.Interop.Word">
-      <Guid>{00020905-0000-0000-C000-000000000046}</Guid>
-      <VersionMajor>8</VersionMajor>
-      <VersionMinor>6</VersionMinor>
-      <Lcid>0</Lcid>
-      <WrapperTool>primary</WrapperTool>
-      <Isolated>False</Isolated>
-      <EmbedInteropTypes>True</EmbedInteropTypes>
-    </COMReference>
-  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
